part of '../pages.dart';

class ButtonsPage extends StatefulWidget {
  static const routeName = '/buttons_page/buttons_page';

  @override
  _ButtonsPageState createState() => _ButtonsPageState();
}

class _ButtonsPageState extends State<ButtonsPage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        backgroundColor: LLSColors.PRIMARY,
        leading: InkWell(
          onTap: () {
            Navigator.of(context).pop();
          },
          child: Container(
            child: Icon(
              CupertinoIcons.back,
              color: LLSColors.WHITE,
            ),
          ),
        ),
        title: const Text(
          'Buttons',
          style: TextStyle(fontSize: 17),
        ),
        centerTitle: true,
      ),
      body: ListView(
        children: <Widget>[
          const SizedBox(
            height: 20,
          ),
          GestureDetector(
            onTap: () {
              Navigator.of(context).pushNamed(
                StandardsButtonPage.routeName
              );
            },
            child: Container(
              margin: const EdgeInsets.only(left: 15, right: 15, top: 20),
              padding: const EdgeInsets.all(5),
              decoration: BoxDecoration(
                borderRadius: const BorderRadius.all(Radius.circular(7)),
                color: LLSColors.SECONDARY,
                boxShadow: [
                  BoxShadow(
                    color: Colors.black.withOpacity(0.40),
                    blurRadius: 5
                  )
                ]
              ),
              child: LLSListTile(
                color: LLSColors.SECONDARY,
                title: const Text(
                  'Standards Buttons',
                  style: TextStyle(color: LLSColors.WHITE),
                ),
                icon: Icon(
                  CupertinoIcons.forward,
                  color: LLSColors.WHITE,
                )
              ),
            )
          ),
          GestureDetector(
            onTap: () {
              Navigator.of(context).pushNamed(
                RoundedButtonPage.routeName
              );
            },
            child: Container(
              margin: const EdgeInsets.only(left: 15, right: 15, top: 20),
              padding: const EdgeInsets.all(5),
              decoration: BoxDecoration(
                borderRadius: const BorderRadius.all(Radius.circular(7)),
                color: LLSColors.SECONDARY,
                boxShadow: [
                  BoxShadow(
                    color: Colors.black.withOpacity(0.40),
                    blurRadius: 5
                  )
                ]
              ),
              child: LLSListTile(
                color: LLSColors.SECONDARY,
                title: const Text(
                  'Rounded Buttons',
                  style: TextStyle(color: LLSColors.WHITE),
                ),
                icon: Icon(
                  CupertinoIcons.forward,
                  color: LLSColors.WHITE,
                )
              ),
            )
          ),
          GestureDetector(
            onTap: () {
              Navigator.of(context).pushNamed(
                SquareButtonPage.routeName
              );
            },
            child: Container(
              margin: const EdgeInsets.only(left: 15, right: 15, top: 20),
              padding: const EdgeInsets.all(5),
              decoration: BoxDecoration(
                borderRadius: const BorderRadius.all(Radius.circular(7)),
                color: LLSColors.SECONDARY,
                boxShadow: [
                  BoxShadow(
                    color: Colors.black.withOpacity(0.40),
                    blurRadius: 5
                  )
                ]
              ),
              child: LLSListTile(
                color: LLSColors.SECONDARY,
                title: const Text(
                  'Square Buttons',
                  style: TextStyle(color: LLSColors.WHITE),
                ),
                icon: Icon(
                  CupertinoIcons.forward,
                  color: LLSColors.WHITE,
                )
              ),
            )
          ),
          GestureDetector(
            onTap: () {
              Navigator.of(context).pushNamed(
                IconsButtonsPage.routeName
              );
            },
            child: Container(
              margin: const EdgeInsets.only(left: 15, right: 15, top: 20),
              padding: const EdgeInsets.all(5),
              decoration: BoxDecoration(
                borderRadius: const BorderRadius.all(Radius.circular(7)),
                color: LLSColors.SECONDARY,
                boxShadow: [
                  BoxShadow(
                    color: Colors.black.withOpacity(0.40),
                    blurRadius: 5
                  )
                ]
              ),
              child: LLSListTile(
                color: LLSColors.SECONDARY,
                title: const Text(
                  'Icons Buttons',
                  style: TextStyle(color: LLSColors.WHITE),
                ),
                icon: Icon(
                  CupertinoIcons.forward,
                  color: LLSColors.WHITE,
                )
              ),
            )
          )
        ]
      )
    );
  }
}